Page MenuHomePhabricator

[Story] Marking external mismatches as exceptions
Closed, InvalidPublic

Description

As an editor, I want to be able to mark external mismatches as exceptions to indicate that the Wikidata value is correct.

Entry points to toggle exceptions:

  • API
  • Special Page External Validation
  • Common Special Page (when implemented, see T110039)
  • Make feature accessible only for limited users (e.g., autoconfirmed group)

Exception table:

  • Statement GUID of statement that caused the external mismatch as key
  • [Maybe] additional information like the date it was introduced, ...

Displaying violations:

  • Mismatches that were marked as exceptions should be displayed as one
  • Need to check if a mismatch has an exception in the table
  • Show exceptions in API result

[Maybe] renaming:

  • "Exception" indicates that a rule was violated (like for constraints)
  • Here, it indicates that the Wikidata value is correct
  • If not internal, maybe rename it in the user interface for more clarity

For further information, marking mismatches as exceptions is implemented on the abandoned branch (old master branch): https://git.wikimedia.org/log/mediawiki%2Fextensions%2FWikibaseQualityExternalValidation/refs%2Fheads%2Fabandoned.

Event Timeline

Tamslo created this task.Sep 3 2015, 6:50 AM
Tamslo raised the priority of this task from to Needs Triage.
Tamslo updated the task description. (Show Details)
Tamslo added a project: Wikibase-Quality.
Tamslo moved this task to WBQEV Backlog on the Wikibase-Quality board.
Tamslo added a subscriber: Tamslo.
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 3 2015, 6:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tamslo set Security to None.Sep 3 2015, 6:51 AM
Tamslo added a subscriber: Lydia_Pintscher.
daniel triaged this task as Medium priority.Sep 10 2015, 2:49 PM
daniel moved this task from incoming to ready to go on the Wikidata board.
daniel moved this task from ready to go to needs discussion or investigation on the Wikidata board.
daniel added a subscriber: daniel.

Needs task breakdown

Addshore closed this task as Invalid.Jan 23 2019, 12:31 PM
Addshore added a subscriber: Addshore.

We will reconsider this and create new ticket when we take another look at WBQEV